> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# PATCH /settings/balance-currency

**Update balance currency settings**

Updates the balance currency settings for your account.

You can only change `preferred`. Paddle then updates `primary` to match, but when depends on your account.

If more than one currency is in `enabled`, Paddle updates `primary` immediately. `preferred` must be one of the currencies in `enabled`, otherwise the request returns an `invalid_field` error.

Otherwise, Paddle updates `primary` when your balance is zero. That's immediately if it's already zero, or after your next payout if it isn't. Until then, `primary` and `preferred` are different.

If successful, your response includes a copy of the updated balance currency settings entity.

**Required permissions:** `balance_currency.write`

## Request body

- `preferred`: string — Currency that you'd like your Paddle balance to be held in and paid out from. If more than one currency is in `enabled`, it must be one of them.
  - `AUD` — Australian Dollar
  - `CAD` — Canadian Dollar
  - `EUR` — Euro
  - `GBP` — Pound Sterling
  - `USD` — United States Dollar

### Request example

```json
{
  "preferred": "GBP"
}
```

## Response (200)

- `data`: object (required) — Represents the balance currency settings for your account.
  - `primary`: string (required) — Currency that your Paddle balance is currently held in and paid out from. Set by Paddle. When you change `preferred`, Paddle updates this to match. That's immediately if more than one currency is in `enabled` or your balance is zero, otherwise after your next payout.
    - `AUD` — Australian Dollar
    - `CAD` — Canadian Dollar
    - `EUR` — Euro
    - `GBP` — Pound Sterling
    - `USD` — United States Dollar
  - `preferred`: string (required) — Currency that you'd like your Paddle balance to be held in and paid out from.
    - `AUD` — Australian Dollar
    - `CAD` — Canadian Dollar
    - `EUR` — Euro
    - `GBP` — Pound Sterling
    - `USD` — United States Dollar
  - `enabled`: array (required) — Currencies that are enabled to hold a balance for this account. Set by Paddle.
    - `AUD` — Australian Dollar
    - `CAD` — Canadian Dollar
    - `EUR` — Euro
    - `GBP` — Pound Sterling
    - `USD` — United States Dollar
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "primary": "USD",
    "preferred": "GBP",
    "enabled": [
      "USD"
    ]
  },
  "meta": {
    "request_id": "9bcdcc29-e180-4055-ad3d-d37e5dc5e56d"
  }
}
```
